Package org.apache.solr.client.solrj.impl

## Interface HttpClientBuilderFactory

All Superinterfaces:
  `AutoCloseable`, `Closeable`

All Known Implementing Classes:
  `Krb5HttpClientBuilder`, `PreemptiveBasicAuthClientBuilderFactory`

    public interface HttpClientBuilderFactory
    extends Closeable

Factory interface for configuring SolrHttpClientBuilder. This relies on the internal HttpClient implementation and is subject to change.

See Also:
  `SolrHttpConstants.SYS_PROP_HTTP_CLIENT_BUILDER_FACTORY`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`SolrHttpClientBuilder` `getHttpClientBuilder​(SolrHttpClientBuilder builder)` This method configures the SolrHttpClientBuilder by overriding the configuration of passed SolrHttpClientBuilder or as a new instance.
`default void` `setup​(Http2SolrClient client)`

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### getHttpClientBuilder

    SolrHttpClientBuilder getHttpClientBuilder​(SolrHttpClientBuilder builder)

This method configures the SolrHttpClientBuilder by overriding the configuration of passed SolrHttpClientBuilder or as a new instance.

Parameters:
  `builder` - The instance of the SolrHttpClientBuilder which should be configured (optional).
Returns:
  the SolrHttpClientBuilder

#### setup

    default void setup​(Http2SolrClient client)